package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.*;
import com.prolog.rdc.tms.model.dto.shipbill.BmsLogOperationDTO;
import com.prolog.rdc.tms.model.vo.*;

import java.text.ParseException;
import java.util.List;

public interface ArCloseAccountService {

    Page<ArSettlementOrderDTO> findList(ArSettlementQueryVO vo) throws ParseException;

    Page<ArCloseAccountBillDTO> findLoading(ArFeeSettlementPageVO vo);

    ArSettlementOrderDetailDTO detail(Long id);

    void update(ArSettlementOrderUpdateVO vo);

    void audit(List<Long> ids);

    Page<BmsIncomeFeeDetailDTO> feeList(SettlementFeeQueryVO id);

    List<BmsLogOperationDTO> findListForLog(Long id);

    void invalid(Long id);
}
